### Enumeration

# Gtk ListTabBehavior

since: 4.12

#### Declaration

    enum Gtk.ListTabBehavior

#### Description [src]

Used to configure the focus behavior in the `GTK_DIR_TAB_FORWARD` and `GTK_DIR_TAB_BACKWARD` direction, like the `Tab` key in a `GtkListView`.

Available since: 4.12

#### Members

Name | Description
--- | ---
`GTK_LIST_TAB_ALL` | Cycle through all focusable items of the list.
`GTK_LIST_TAB_ITEM` | Cycle through a single list element, then move focus out of the list. Moving focus between items needs to be done with the arrow keys.
`GTK_LIST_TAB_CELL` | Cycle only through a single cell, then move focus out of the list. Moving focus between cells needs to be done with the arrow keys. This is only relevant for cell-based widgets like `GtkColumnView`, otherwise it behaves like `GTK_LIST_TAB_ITEM`.